Welcome back

Log in to your Microburbs account

Forgot password?
or continue with

By continuing, you agree to our Terms of Service and Privacy Policy.

Unlock the power of property data

  • Access 5000+ property and suburb metrics
  • Detailed suburb and property reports
  • Risk and gentrification analysis
  • Interactive heat maps across Australia

"Microburbs helped me find the perfect investment suburb with data I couldn't find anywhere else."

Sarah M. Property Investor

Welcome to Microburbs!

Help us personalise your experience

Opening secure checkout

Please wait while we connect to our payment provider. Do not refresh or close this page.

Get API Access

Request access to integrate Microburbs data into your applications

Request Access
V1.0.2
GET Amenities
http://127.0.0.1:2025/api/property/amenity
Retrieves information about amenities located around a specific property (aprox. 1km), including schools, green spaces, and other facilities.
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation

Parameters

Name Type Required Description
id text Required Get property information.
geojson boolean Optional Set to 'true' to include geometric shape data (default: false)

Response Schema

Field Type Description
results array Array of amenities around the property
results[].area_level string Area classification level (e.g., 'address')
results[].area_name string Address of the property
results[].category string Type of amenity (e.g., 'School', 'Green Spaces')
results[].lat number Latitude coordinate (point for amenities, center of shape for green spaces)
results[].lon number Longitude coordinate (point for amenities, center of shape for green spaces)
results[].name string Name of the amenity (may be empty for some green spaces)
results[].geometry object GeoJSON geometry data (only included when geojson=true); points for amenities, multipolygons for green spaces

Request Examples

cURL
Python
JavaScript
curl -X GET "http://127.0.0.1:2025/api/property/amenity?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ { "area_level": "address", "area_name": "27 ARLINGTON STREET, Belmont North, NSW", "category": "Green Spaces", "lat": -33.01691161625924, "lon": 151.64648166096666, "name": "" }, { "area_level": "address", "area_name": "27 ARLINGTON STREET, Belmont North, NSW", "category": "Green Spaces", "lat": -33.02299859302602, "lon": 151.6770913971918, "name": "" }, { "area_level": "address", "area_name": "27 ARLINGTON STREET, Belmont North, NSW", "category": "School", "lat": -33.025836308443836, "lon": 151.67312046865382, "name": "Belmont Christian College" }, { "area_level": "address", "area_name": "27 ARLINGTON STREET, Belmont North, NSW", "category": "School", "lat": -33.01980691990568, "lon": 151.67167752400218, "name": "Belmont North Public School" }, { "area_level": "address", "area_name": "27 ARLINGTON STREET, Belmont North, NSW", "category": "Green Spaces", "lat": -33.01500599844607, "lon": 151.67162869820862, "name": "" }, { "area_level": "address", "area_name": "27 ARLINGTON STREET, Belmont North, NSW", "category": "Green Spaces", "lat": -33.0148882299883, "lon": 151.6750290607152, "name": "" } ] }
Try it in Sandbox